CMSIS DSP Software Library: arm_fir_example_f32.c File Reference

Defines | Functions | Variables

# arm_fir_example_f32.c File Reference

`#include "arm_math.h"`
`#include "math_helper.h"`

Go to the source code of this file.

## Defines

#define | TEST_LENGTH_SAMPLES 320
#define | SNR_THRESHOLD_F32 140.0f
#define | BLOCK_SIZE 32
#define | NUM_TAPS 29

## Functions

int32_t | main (void)

## Variables

float32_t | testInput_f32_1kHz_15kHz [TEST_LENGTH_SAMPLES]
float32_t | refOutput [TEST_LENGTH_SAMPLES]
static float32_t | testOutput [TEST_LENGTH_SAMPLES]
static float32_t | firStateF32 [BLOCK_SIZE+NUM_TAPS-1]
const float32_t | firCoeffs32 [NUM_TAPS]
uint32_t | blockSize = BLOCK_SIZE
uint32_t | numBlocks = TEST_LENGTH_SAMPLES/BLOCK_SIZE
float32_t | snr

## Define Documentation

#define TEST_LENGTH_SAMPLES 320

Definition at line 116 of file arm_fir_example_f32.c.

#define SNR_THRESHOLD_F32 140.0f

Examples:
  arm_fir_example_f32.c, and arm_graphic_equalizer_example_q31.c.

Definition at line 117 of file arm_fir_example_f32.c.

#define BLOCK_SIZE 32

Examples:
  arm_fir_example_f32.c.

Definition at line 118 of file arm_fir_example_f32.c.

#define NUM_TAPS 29

Examples:
  arm_fir_example_f32.c.

Definition at line 119 of file arm_fir_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 166 of file arm_fir_example_f32.c.

## Variable Documentation

float32_t testInput_f32_1kHz_15kHz[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.

float32_t refOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.

float32_t testOutput[TEST_LENGTH_SAMPLES]`[static]`

Definition at line 133 of file arm_fir_example_f32.c.

float32_t firStateF32[BLOCK_SIZE+NUM_TAPS-1]`[static]`

Definition at line 139 of file arm_fir_example_f32.c.

const float32_t firCoeffs32[NUM_TAPS]

Initial value:

     {
    -0.0018225230f, -0.0015879294f, +0.0000000000f, +0.0036977508f, +0.0080754303f, +0.0085302217f, -0.0000000000f, -0.0173976984f,
    -0.0341458607f, -0.0333591565f, +0.0000000000f, +0.0676308395f, +0.1522061835f, +0.2229246956f, +0.2504960933f, +0.2229246956f,
    +0.1522061835f, +0.0676308395f, +0.0000000000f, -0.0333591565f, -0.0341458607f, -0.0173976984f, -0.0000000000f, +0.0085302217f,
    +0.0080754303f, +0.0036977508f, +0.0000000000f, -0.0015879294f, -0.0018225230f
    }

Examples:
  arm_fir_example_f32.c.

Definition at line 146 of file arm_fir_example_f32.c.

uint32_t blockSize = BLOCK_SIZE

Examples:
  arm_fir_example_f32.c, arm_signal_converge_example_f32.c, arm_sin_cos_example_f32.c, and arm_variance_example_f32.c.

Definition at line 157 of file arm_fir_example_f32.c.

uint32_t numBlocks = TEST_LENGTH_SAMPLES/BLOCK_SIZE

Examples:
  arm_fir_example_f32.c.

Definition at line 158 of file arm_fir_example_f32.c.

float32_t snr

Definition at line 160 of file arm_fir_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines